[!1] Try to use the old ALUGrid-1.50 tarball I had lying around

Merge branch 'alugrid-tarball' into 'master'

ref:joe/joe-diss I thought I was using ALUGrid 1.52, a it seems I was mistaken
and that version does not exist?

Also, the history of dune-alugrid from pre-dune times appears to be messed up,
it seems different branches (1.50 and 1.93) have been mixed together\...

WIP:

-   [x] make sure dune-grid find ALUGrid (dune-grid seems to be looking for
    ALUGrid \>= 1.52)

See merge request [!1]

  [!1]: gitlab.dune-project.org/joe/joe-diss/merge_requests/1
1 job for master in 7 minutes and 26 seconds (queued for 8 seconds)
latest
Status Job ID Name Coverage
  Test
failed #112913
build

00:07:26

 
Name Stage Failure
failed
build Test
mv -f .deps/fetd_3D_bisect_dt-debugstreams.Tpo .deps/fetd_3D_bisect_dt-debugstreams.Po
mv -f .deps/fetd_3D_no_matrixcache-debugstreams.Tpo .deps/fetd_3D_no_matrixcache-debugstreams.Po
mv -f .deps/fetd_2D-debugstreams.Tpo .deps/fetd_2D-debugstreams.Po
mv -f .deps/fetd_3D-debugstreams.Tpo .deps/fetd_3D-debugstreams.Po
mv -f .deps/fetd_2D_epsfile-debugstreams.Tpo .deps/fetd_2D_epsfile-debugstreams.Po
mv -f .deps/fetd_3D_epsfile-debugstreams.Tpo .deps/fetd_3D_epsfile-debugstreams.Po
mv -f .deps/fetd_3D_bisect_dt_epsfile-debugstreams.Tpo .deps/fetd_3D_bisect_dt_epsfile-debugstreams.Po
make: Leaving directory '/builds/joe/joe-diss/dune-pm/appl/fetd'
ERROR: Job failed: exit code 1